#!/usr/bin/perl
########################################################################
#
# $Id: check_updates.pl,v 1.4 2012-03-11 19:33:05 gosha Exp $
#
#		(c) Okunev Igor <igor[at]prv.mts-nn.ru> 2012
#
########################################################################
use strict;

open STDERR, '>>/var/log/VirtualPBX/XVB.stderr';

use LWP::UserAgent;
use HTTP::Request;

my $ua = LWP::UserAgent->new();
my $req = HTTP::Request->new( GET => 'http://code.google.com/p/virtual-pbx/downloads/list?can=2&q=VirtualPBX+tgz+update&colspec=Filename' );

my $res = $ua->request($req);

my %ver;

if ( $res->is_success ) {
	my $content = $res->content();

	foreach my $update ( $content =~ /(VirtualPBX-\d+.tgz)/g ) {
		if ( $update =~ /VirtualPBX-(\d+).tgz/ ) {
			$ver{$update} = $1;
		}
	}
	
	my $cmd = 'rpm -qv virtual-pbx';

	my $cur_ver = `$cmd`;

	$cur_ver =~ s/virtual-pbx-.*_(\d+)(_dev)?(\.noarch)?$/$1/;
	
	chomp( $cur_ver );

	my $latest_ver = $ver{(( sort { $ver{$b} <=> $ver{$a} } keys %ver ))[0]};

	if ( $latest_ver > $cur_ver ) {
		print "<br /><br /><a class='error' href='http://code.google.com/p/virtual-pbx/downloads/detail?name=VirtualPBX-$latest_ver.tgz#makechanges'>!!! Update to $latest_ver available !!!</a>";
	} else {
		print "";
	}
}
