#!/usr/bin/perl
########################################################################
#
# $Id: dashboard.pl,v 1.3 2013-05-14 14:41:16 gosha Exp $
#
#	Copyright (c) Igor Okunev <igor[at]prv.mts-nn.ru>
#
#						2013
#
########################################################################
use strict;
use CGI qw(:standard);
use JSON::XS;

my $user_id = param('ac');
my $action = param('action');
my $chan = param('chan');

require 'Mongo'.'DB.pm';

my $mongo = MongoDB::Connection->new(host => '127.0.0.1', port => 27017);
my $cdrs = $mongo->xvb->cdrs;

print "Content-type: text/json\n\n";

if ( $action eq 'stop' ) {
	my $data = $cdrs->find( { user_id => $user_id, xvb_id => $chan } );
	my @result;
	while (my $doc = $data->next) {
		push @result, { %$doc };
		delete $result[$#result]->{'_id'};
	}
	if (scalar(@result) ) {
		system "asterisk -rx 'channel request hangup $result[0]->{'ast_id'}' &>/dev/null &";
	}
	print "{status:0}";
} else {
	my $data = $cdrs->find( { user_id => $user_id } );
	my @result;
	while (my $doc = $data->next) {
		push @result, { %$doc };
		delete $result[$#result]->{'_id'};
	}
	my $json = JSON::XS->new();
	print $json->encode(\@result);
}
